# uncompyle6 version 3.7.4
# Python bytecode 2.4 (62061)
# Decompiled from: Python 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]
# Embedded file name: pirates.leveleditor.worldData.PortRoyalCannonWorld
from pandac.PandaModules import Point3, VBase3, Vec4, Vec3
objectStruct = {'Objects': {'1257979946.82akelts': {'Type': 'Region', 'Name': 'default', 'Objects': {'1257979851.56akelts': {'Type': 'Island', 'File': 'PortRoyalCannonIsland', 'Environment': 'OpenSky', 'Hpr': Point3(0.0, 0.0, 0.0), 'Minimap': False, 'Pos': Point3(-57.511, -247.029, 0.0), 'Scale': VBase3(1.0, 1.0, 1.0), 'Undockable': False, 'VisSize': '', 'Visibility': 'Section', 'Objects': {'1262901143.69Bill': {'Type': 'LOD Sphere', 'Hpr': VBase3(136.467, 0.0, 0.0), 'Pos': Point3(524.742, 2115.765, 580.947), 'Radi': [4500.0, 5000.0, 7500.0], 'Scale': VBase3(1.0, 1.0, 1.0), 'VisSize': ''}}, 'Visual': {'Model': 'models/islands/pir_m_are_isl_cannon'}}}, 'Visual': {}}}, 'Layers': {}, 'ObjectIds': {'1257979946.82akelts': '["Objects"]["1257979946.82akelts"]', '1257979967.65akelts': '["Objects"]["1257979946.82akelts"]["Objects"]["1257979967.65akelts"]', '1262901143.69Bill': '["Objects"]["1257979946.82akelts"]["Objects"]["1257979851.56akelts"]["Objects"]["1262901143.69Bill"]'}}
extraInfo = {'camPos': Point3(-16593, -18881, 24236.9), 'camHpr': VBase3(-41.6118, -40.3382, -8.96071e-06), 'focalLength': 1.39951908588, 'skyState': -2, 'fog': 0}